package com.ycwl.basic.service.mobile;

import com.ycwl.basic.model.mobile.statistic.req.CommonQueryReq;
import com.ycwl.basic.model.mobile.statistic.req.StatisticsRecordAddReq;
import com.ycwl.basic.model.mobile.statistic.resp.AppSta1VO;
import com.ycwl.basic.model.mobile.statistic.resp.AppSta2VO;
import com.ycwl.basic.model.mobile.statistic.resp.AppSta3VO;
import com.ycwl.basic.model.mobile.statistic.resp.AppStatisticsFunnelVO;
import com.ycwl.basic.utils.ApiResponse;

/**
 * @Author：longbinbin
 * @Date：2024/12/12 9:32
 */

public interface AppStatisticsService {
    ApiResponse<AppSta1VO> oneStatistics(CommonQueryReq query);

    ApiResponse<AppSta2VO> twoStatistics(CommonQueryReq query);

    ApiResponse<AppSta3VO> freeStatistics(CommonQueryReq query);

    ApiResponse<AppStatisticsFunnelVO> userConversionFunnel(CommonQueryReq query);

    ApiResponse<String> addStatistics(StatisticsRecordAddReq req);
}
